## org.jCharts.axisChart.customRenderers.axisValue.renderers
Class BackgroundRenderer

    java.lang.Object
      org.jCharts.axisChart.customRenderers.axisValue.renderers.BackgroundRenderer

All Implemented Interfaces:
  EventListener, PreAxisValueRenderListener

    public class BackgroundRenderer

extends Object
implements PreAxisValueRenderListener

Field Summary
`private boolean` `draw`
`private Paint` `paint`

Constructor Summary
`BackgroundRenderer(Paint paint)`

Method Summary
`void` `preRender(AxisValueRenderEvent axisValueRenderEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paint

    private Paint paint

### draw

    private boolean draw

Constructor Detail

### BackgroundRenderer

    public BackgroundRenderer(Paint paint)

Parameters:
  `paint` - the paint to do the background in. You might want to use an alpha less than 255 (as in 'new Color( 20, 20, 20, 50 )' ) as this gets plotted over top of the axis grid lines.

Method Detail

### preRender

    public void preRender(AxisValueRenderEvent axisValueRenderEvent)

  Specified by:
    `preRender` in interface `PreAxisValueRenderListener`
  Parameters:
    `axisValueRenderEvent` -